# eth\_syncing

Returns an object with data about the sync status or false.

### REQUEST

```
POST https://<network>.chainrpc.io/v3/YOUR-API-KEY
```

#### HEADERS

```
Content-Type: application/json
```

#### EXAMPLE

```bash
## JSON-RPC over HTTPS POST
## Replace YOUR-API-KEY with an API key from your chainRPC Dashboard
## You can also replace mainnet with a different supported network
curl https://eth.chainrpc.io/v3/YOUR-API-KEY \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_syncing","params": [],"id":1}'

## JSON-RPC over WSS
## Replace YOUR-API-KEY with an API key from your chainRPC Dashboard
## You can also replace mainnet with a different supported network
wscat -c wss://eth.chainrpc.io/v3/YOUR-API-KEY
>{"jsonrpc":"2.0","method":"eth_syncing","params": [],"id":1}
```

### RESPONSE

#### RESULT FIELDS

* `SYNC STATUS` - a boolean as false **only** when not syncing
* `SYNC BLOCKS` i. `startingBlock` - a hexcode of the integer indicating the block at which the import started (will only be reset, after the sync reached his head) ii. `currentBlock` - a hexcode of the integer indicating the current block, same as eth\_blockNumber iii. `highestBlock` - a hexcode of the integer indicating the highest block

#### BODY

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": false
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainrpc.io/chainrpc/networks/ethereum/json-rpc-methods/eth_syncing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
